1. POS
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
        POST
      • refundPOS
        POST
      • voidPOS
        POST
      • deregisterPOS
        POST
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. POS

processPOS

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/post

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/post' \
--header 'MW-API-VERSION: 2.0' \
--header 'MW-MESSAGEHASH: 9ae6750528916c7a6acc249b605f5a54a2c03afd63e436a1d2818440d56540fc' \
--header 'Content-Type: application/json' \
--data-raw '{
    "method": "processPOS",
    "merchantUUID": "123456789abcd",
    "apiKey": "1a3b5c",
    "posID": "5612478",
    "transactionAmount": "10.00",
    "transactionCurrency": "AUD",
    "transactionProduct": "ABC4321",
    "customerName": "Mr. Example Person",
    "customerCountry": "AU",
    "customerState": "Queensland",
    "customerCity": "Brisbane",
    "customerAddress": "123 Test Street",
    "customerPostCode": "4000",
    "transactionReferenceID": "A257240023321",
    "customerPhone": "0401234567",
    "customerEmail": "person@example.com",
    "storeID": "Test store name",
    "custom1": "XXXXX",
    "custom2": "XXXXX",
    "custom3": "XXXXX",
    "addCard": "1"
}'
Response Response Example
{
    "custom1": [],
    "custom2": [],
    "custom3": [],
    "responseMessage": "Transaction pending",
    "transactionReferenceID": [],
    "responseCode": "10",
    "transactionAmount": "10.00",
    "authResponseCode": "0",
    "transactionID": "52-411a322c-b4b5-11ec-abd4-005056b209e0",
    "feeAmount": "0.00",
    "customHash": "4a560d5ee831c2fc486f7c0fa639e46e",
    "authMessage": "POS Transaction GQ5m6jm9(10050001) for 1000 received"
}
Modified at 2026-08-07 06:38:17
Previous
Introduction
Next
refundPOS
Built with